Tomcat and JAVA 6.0

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Tomcat and JAVA 6.0

Postby hap_zax » 26. February 2007 14:05

I have xampp apache 2.2.4 but i have JAVA sdk 6.0 is there any way i can get tomcat compatibility for xampp and JAVA 6.0?

Thanks
hap_zax
 
Posts: 14
Joined: 19. December 2006 16:32

Postby erl » 06. March 2007 20:24

You have to download
xampp-tomcat-addon-x.x.x-x.x.x.zip or xampp-tomcat-addon-x.x.x-x.x.x.exe (i'm not sure that exe will do, because i dont try) from http://sourceforge.net/project/showfile ... _id=113693 then unzip/install it,and open \install\javaaddon.php

You have to find :
Code: Select all
$t = new Registry;
$key = $t->Read('HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Development Kit\1.5\JavaHome');

Or something like this, and change it for
Code: Select all
$t = new Registry;
$key = $t->Read('HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Development Kit\1.6\JavaHome');
erl
 
Posts: 1
Joined: 06. March 2007 19:29

Postby Shane0 » 07. March 2007 06:10

use the zip version of the Tomcat addon instead of the installer. After you extract it go to the install directory and you will see a file named javaaddon.php. Edit it (notepad will work)...you will find the following line:

$key = $t->Read('HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Development Kit\1.6\JavaHome');

Change the 1.5 to 1.6, save, and run setup_xampp.bat and it should work!
Shane0
 
Posts: 1
Joined: 07. March 2007 06:05


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 58 guests